Bug 1004386 - [RHEVM][webadmin] Inaccurate message when importing a VM to a DC without a matching VNIC profile
[RHEVM][webadmin] Inaccurate message when importing a VM to a DC without a ma...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: 3.3.0
Assigned To: Moti Asayag
Depends On:
Blocks: 1019461 3.3snap2
  Show dependency treegraph
Reported: 2013-09-04 10:13 EDT by tgeft
Modified: 2016-02-10 14:57 EST (History)
10 users (show)

See Also:
Fixed In Version: is23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
logs (523.08 KB, application/zip)
2013-09-04 10:18 EDT, tgeft
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20987 None None None Never
oVirt gerrit 21034 None None None Never

  None (edit)
Description tgeft 2013-09-04 10:13:03 EDT
Description of problem:
When trying to to import a VM into a DC that doesn't have a VNIC profile for one of the networks that the VM is connected to an old warning that doesn't take VNIC profiles into account is shown.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On one DC create a VM that has a VNIC profile for network sw1 on nic1 and export the VM.
2. Prepare a second DC that has network sw1 but delete all the VNIC profiles for that network. 
3. Import the VM to the second DC.

Actual results:
The following warning is shown:

"While importing VM <UNKNOWN>, the Network/s sw1 were found to be Non-VM Networks or do not exist in Cluster. Network Name was not set in the Interface/s nic1."

The VM is imported but no profile is selected for nic1.

Expected results:
The message should contain the VM name instead of "<UNKNOWN>" and it should say something similar to "no matching VM interface profile was found for sw1".

Additional info:
Probably as a result of the fix to https://bugzilla.redhat.com/show_bug.cgi?id=1001068 this scenario can also be trigged if we change step 2 above to the following:

2. On the second DC all the VNIC profiles for sw1 should have port mirroring enabled (which makes them unusable for imported VM).

Perhaps not allowing deletion or modificatoion of the default profiles will block this and other similar scenarios.
Comment 1 tgeft 2013-09-04 10:18:42 EDT
Created attachment 793708 [details]
Comment 3 GenadiC 2013-11-14 08:23:38 EST
Verified in IS23
Comment 4 Itamar Heim 2014-01-21 17:20:38 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:26:17 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.